﻿

ALTER TABLE JEFY_ADMIN.LOLF_NOMENCLATURE_DEPENSE ADD (TYET_ID NUMBER);
ALTER TABLE JEFY_ADMIN.LOLF_NOMENCLATURE_DEPENSE ADD CONSTRAINT FK_LOLFD_TYET_ID FOREIGN KEY (TYET_ID) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) ENABLE VALIDATE;

ALTER TABLE JEFY_ADMIN.LOLF_NOMENCLATURE_RECETTE ADD (TYET_ID NUMBER);
ALTER TABLE JEFY_ADMIN.LOLF_NOMENCLATURE_RECETTE ADD CONSTRAINT FK_LOLFR_TYET_ID FOREIGN KEY (TYET_ID) REFERENCES JEFY_ADMIN.TYPE_ETAT (TYET_ID) ENABLE VALIDATE;


update JEFY_ADMIN.LOLF_NOMENCLATURE_RECETTE set tyet_id=1;
update JEFY_ADMIN.LOLF_NOMENCLATURE_DEPENSE set tyet_id=1;
INSERT into JEFY_ADMIN.TYPAP_VERSION values (TYPAP_VERSION_seq.nextval, 1, 'BD', '0.5.0', TO_DATE('31/08/2006','dd/mm/yyyy'), 'Ajout notion ETAT dans les tables lolf_nomenclature');

commit;